## thunderbird 52.9.1+build3

=== debian/changelog ===
thunderbird (1:52.9.1+build3-0ubuntu0.17.10.1) artful-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_9_1_BUILD3)

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 03 Jul 2018 16:42:42 +0100

thunderbird (1:52.8.0+build1-0ubuntu0.17.10.1) artful-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_8_0_BUILD1)

  * Refresh patches
    - add debian/patches/dont-install-blessings-from-network.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 22 May 2018 09:45:25 +0100

thunderbird (1:52.7.0+build1-0ubuntu0.17.10.1) artful-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_7_0_BUILD1)

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 26 Mar 2018 20:10:34 +0100

thunderbird (1:52.6.0+build1-0ubuntu0.17.10.1) artful-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_6_0_BUILD1)
    - see USN-3529-1

  * Drop patches that are fixed upstream
    - remove debian/patches/use-ucontext_t-in-breakpad-client.patch
    - remove debian/patches/use-ucontext_t-in-breakpad-client_2.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 24 Jan 2018 12:14:54 +0000

thunderbird (1:52.5.0+build1-0ubuntu0.17.10.1) artful-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_5_0_BUILD1)
    - see USN-3490-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 22 Nov 2017 13:34:55 +0000
